Name: qlandkartegt
Version: 1.8.1
Release: %mkrel 1
Summary: GPS device mapping tool
Group: File tools
License: GPLv2+
URL: http://www.qlandkarte.org/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
# <GL/glu.h> not included by qt >= 4.8
Patch0: %{name}-1.3.0-fedora-glu.patch
BuildRequires: cmake
BuildRequires: mesaglu-devel
BuildRequires: proj-devel
BuildRequires: gdal-devel
BuildRequires: desktop-file-utils
BuildRequires: libexif-devel
BuildRequires: libdmtx-devel
BuildRequires: %{_lib}gpsd-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: postgresql9.3-devel
Requires: gdal
Requires: gpsbabel
Suggests: garmindev(interface) = 1.18



%description
QLandkarte GT is the ultimate outdoor aficionado's tool for GPS maps in
GeoTiff format as well as Garmin's img vector map format. Additional it is
the PC side frontend to QLandkarte M, a moving map application for mobile
devices. And it fills the gap Garmin leaves in refusing to support Linux.
QLandkarte GT is the proof that writing portable applications for Unix,
Windows and OSX is feasible with a minimum of overhead. No excuses!

QLandkarte GT does replace the original QLandkarte with a much more
flexible architecture. It's not limited to a map format or device. Thus
if you think your Magellan GPS or other should be supported, join the team.

Additionally it is a front end to the GDAL tools, to make georeferencing
scanned maps feasible for the normal user. Compared to similar tools like
QGis, it's target users are more on the consumer side than on the scientific
one. QLandkarte GT might not let you select every possible feature of the
GDAL tools, but it will simplify their use to the demands of most users.


%prep
%setup -q
%patch0 -p1 -b .glu

# create build direcotory
# mkdir build


%build
# cd build
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF -DGPX_EXTENSIONS=ON 
%make VERBOSE=1 


%install
cd build
%make_install

# fix desktop validation
sed -i s+Geography+Science\;Geography+ %{buildroot}%{_datadir}/applications/%{name}.desktop
sed -i s+tracks+tracks\;+ %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Sciences-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%files
%doc copying changelog.txt
%{_bindir}/%{name}
%{_bindir}/map2gcm
%{_bindir}/map2jnx
%{_bindir}/map2rmp
%{_bindir}/cache2gtiff
%{_bindir}/map2rmap
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*

%changelog
* Thu Jun 11 2015 pinoc <vogtpet at gmail.com> 1.8.1-1pclos2015
- 1.8.1

* Fri Mar 13 2015 pinoc <vogtpet at gmail.com> 1.7.7-2pclos2015
- rebuild against new gdal/proj

* Sat Aug 09 2014 gseaman <galen.seaman at comcast.net> 1.7.7-1gseaman2014
- 1.7.7

* Tue Jun 24 2014 pinoc <vogtpet at gmail.com> 1.7.6-2pclos2014
- rebuild against new gdal

* Sat Apr 05 2014 pinoc <vogtpet at gmail.com> 1.7.6-1pclos2014
- 1.7.6

* Thu Nov 21 2013 pinoc <vogtpet at gmail.com> 1.7.5-2pclos2013
- xz and rebuild against new proj and gdal

* Wed Oct 16 2013 pinoc <vogtpet at gmail.com> 1.7.5-1pclos2013
- imported package
